Pyside 2.7 installation for windows vista



  • I'm having trouble with the installation of pyside for windows vista.

    I simply download the windows installer and ran it. I assume that is all that I am supposed to do on a windows platform. I ran a python console, and typed "import pyside" but it says that there is no pyside module. I didn't see any readme within the installation that provides further instructions. Does anyone have any suggestions on what I should try next? I can clearly see the pyside installation under C:\Python27\Lib\site-packages\PySide. C:\python27 is within my path variable. I'd appreciate the help.



  • It's case sensitive. Try this:

    @

    import pyside

    Traceback (most recent call last):
    File "<pyshell#0>", line 1, in <module>
    import pyside
    ImportError: No module named pyside

    import PySide
    PySide.version
    '1.1.2'

    @



  • Good grief. I guess I was in a hurry that day. Thanks!



  • http://qt-project.org/wiki/Setting_up_PySide

    I copy and pasted the line to check QtCore, and received a similar error.

    print(PySide.QtCore.qversion())
    Traceback (most recent call last):
    File "<stdin>", line 1, in <module>
    AttributeError: 'module' object has no attribute 'QtCore'



  • sdfox1874: I'm not sure why you're getting that error. I was able to run the same print statement that you tried and got back the correct version number.



  • Interesting. I forgot to post that I was able to run some of the example programs and I did see the pop-up windows. I've included that my installation is working, but I couldn't find anything in the PySide package that has a QtCore object. Weird. I guess I won't worry about it unless I see more problems as I continue to use it.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.